Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.utils
Class RaPropertiesLoader

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.utils.RaPropertiesLoader

    public class RaPropertiesLoader

extends Object

Utility class for obtaining the ra properties.

Field Summary
`static String` | `AUTH_KEY_ALGO`
`static String` | `AUTH_KEY_ALGO_OID`
`static String` | `AUTH_KEY_SIZE`
`static String` | `DUMMYCERT_SIGNATURE_ALGORITHM`
`static String` | `DUMMYCERT_SUBJECT`
`static String` | `ETK_CHALLENGE_CIPHER`
`static String` | `ETK_CHALLENGE_DIGEST`
`static String` | `SIGNATURE_ALGORITHM`

Constructor Summary
`RaPropertiesLoader()`

Method Summary
`static String` | `getProperty(String key)`
`static String` | `getProperty(String key, String defaultValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIGNATURE_ALGORITHM

    public static final String SIGNATURE_ALGORITHM

See Also:
  Constant Field Values

### AUTH_KEY_SIZE

    public static final String AUTH_KEY_SIZE

See Also:
  Constant Field Values

### AUTH_KEY_ALGO

    public static final String AUTH_KEY_ALGO

See Also:
  Constant Field Values

### AUTH_KEY_ALGO_OID

    public static final String AUTH_KEY_ALGO_OID

See Also:
  Constant Field Values

### DUMMYCERT_SUBJECT

    public static final String DUMMYCERT_SUBJECT

See Also:
  Constant Field Values

### DUMMYCERT_SIGNATURE_ALGORITHM

    public static final String DUMMYCERT_SIGNATURE_ALGORITHM

See Also:
  Constant Field Values

### ETK_CHALLENGE_DIGEST

    public static final String ETK_CHALLENGE_DIGEST

See Also:
  Constant Field Values

### ETK_CHALLENGE_CIPHER

    public static final String ETK_CHALLENGE_CIPHER

See Also:
  Constant Field Values

Constructor Detail

### RaPropertiesLoader

    public RaPropertiesLoader()

Method Detail

### getProperty

    public static String getProperty(String key)

### getProperty

    public static String getProperty(String key,
                                     String defaultValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.